Skip to main content
GET
/
faucet
Credit wallet with test funds
curl --request GET \
  --url https://sandbox.api.btdx.io/faucet \
  --header 'authorization: <authorization>'
{
  "_meta": {
    "_count": 123,
    "_page": {
      "_pageNumber": 123,
      "_pageSize": 123,
      "_totalElements": 123,
      "_totalPages": 123
    }
  },
  "transactionId": "<string>",
  "wallet": {
    "id": "<string>",
    "appId": "<string>",
    "reference": "<string>",
    "description": "<string>",
    "balances": [
      {
        "currencyId": "<string>",
        "balance": 123,
        "balanceAvailable": 123
      }
    ]
  }
}

Headers

authorization
string
required

Header with the accessToken for the current session

Query Parameters

walletId
string
required

id of the wallet to be credited

currencyId
string
required

currency id of the wallet to be credited

Response

OK

_meta
object
transactionId
string
wallet
object